Index: production/onslow_2006/MOST_timeseries.py
===================================================================
--- production/onslow_2006/MOST_timeseries.py	(revision 3181)
+++ production/onslow_2006/MOST_timeseries.py	(revision 3188)
@@ -4,7 +4,9 @@
 Inputs:
 
-output dirs: dictionary of output directories with a
-             association to simulation, eg 50m boundary, 100m boundary
-                    
+production dirs: dictionary of output directories with a
+                 association to simulation, eg 50m boundary, 100m boundary
+
+gauge_map:       graphical output from make_gauges.py
+
 Outputs:
 
@@ -22,8 +24,9 @@
 
 # User defined inputs
-production_dirs = {'SU-AU_clip': 'MOST'}
+production_dirs = {'20060515_001733': '100m boundary',
+                   #'20060530_102753': '50m boundary'}#,
+                   'MOST': 'MOST'}
 
 gauge_map = 'boundarycomparison.png'
-plot_quantity = ['stage', 'speed']
 
 # Create sections and graphs for each designated production directory
@@ -32,7 +35,11 @@
 for label_id in production_dirs.keys():
     
-    file_loc = project.boundarydir
-    swwfile = file_loc + project.boundary_basename + '.sww'
+    file_loc = project.outputdir + label_id + sep
+    swwfile = file_loc + project.basename + '.sww'
+    if label_id == 'MOST':
+        swwfile = project.boundarydir + project.boundary_basename + '.sww'
     swwfiles[swwfile] = label_id
+
+print 'swwfiles', swwfiles
 
 texname, vec = sww2timeseries(swwfiles,
@@ -40,6 +47,7 @@
                               production_dirs,
                               report = True,
-                              reportname = 'latexoutput_MOST_input',
-                              plot_quantity = plot_quantity,
+                              reportname = 'latexoutput_MOST_ANUGA_comparison',
+                              plot_quantity = ['stage', 'speed'],
+                              surface = False,
                               time_min = None,
                               time_max = None,
@@ -49,11 +57,24 @@
 latex_output.append(texname)
 
+from shutil import copy, move
+copy ('report' + sep + texname + '.tex', project.comparereportdir + sep + texname + '.tex')
 
 # Start report generation
-reportdir = getcwd()+sep+'report'+sep
-if access(reportdir,F_OK) == 0:
-    mkdir (reportdir)
-input_name = reportdir + sep + 'MOST_input_onslow.tex'
+input_name = project.comparereportdir + sep + 'comparison_onslow.tex'
 fid = open(input_name, 'w')
+
+s = '\\begin{figure}[hbt] \n \centerline{ \includegraphics[width=150mm, height=100mm]{../report_figures/%s}}' %gauge_map
+fid.write(s)
+
+s  = """
+\caption{Point locations used to compare MOST and ANUGA for Onslow region.}  
+\label{fig:comparisonpoints}
+\end{figure}
+"""
+fid.write(s)
+    
+s = '\input{%s} \n \clearpage \n \n' %latex_output[0]
+fid.write(s)
+
 
 # Generate latex output for location points
@@ -81,15 +102,2 @@
 #s = '\\end{tabular} \n  \end{center} \n \end{table} \n \n'
 #fid.write(s)
-
-s = '\\begin{figure}[hbt] \n \centerline{ \includegraphics[width=150mm, height=100mm]{../report_figures/%s}}' %gauge_map
-fid.write(s)
-
-s  = """
-\caption{Point locations used for MOST input for Onslow region.}  
-\label{fig:boundarypoints}
-\end{figure}
-"""
-fid.write(s)
-    
-s = '\input{%s} \n \clearpage \n \n' %latex_output[0]
-fid.write(s)
Index: production/onslow_2006/compare_timeseries.py
===================================================================
--- production/onslow_2006/compare_timeseries.py	(revision 3181)
+++ production/onslow_2006/compare_timeseries.py	(revision 3188)
@@ -43,4 +43,5 @@
                               report = True,
                               reportname = 'latexoutput_compare',
+                              surface = False,
                               plot_quantity = plot_quantity,
                               time_min = None,
Index: production/onslow_2006/make_gauges.py
===================================================================
--- production/onslow_2006/make_gauges.py	(revision 3181)
+++ production/onslow_2006/make_gauges.py	(revision 3188)
@@ -1,8 +1,9 @@
-""" Make a line of gauges from outside boundary to near centre polygon
+""" Make a line of gauges from near the boundary to near centre polygon
 for Onslow study to look at MOST wave and compare to ANUGA output
+Output from here is used as the gauge file input in MOST_timeseries.py
 """
 import project
 from pylab import plot, xlabel, ylabel, title, ion, axis, savefig, close, text
-from utilities.polygon import poly_xy
+from utilities.polygon import poly_xy, is_inside_polygon
 from Numeric import arange
 from pmesh.create_mesh import convert_points_from_latlon_to_utm
@@ -33,5 +34,4 @@
 
 MOSTymax = MOSTymax-3000.0
-print 'MOST clipping: ', MOSTxmin, MOSTxmax, MOSTymin, MOSTymax
 # nominated point in centre region for Onslow
 x2 = 305000.0
@@ -64,7 +64,7 @@
         for j, xpoint in enumerate(plotx):
             ypoint = m*xpoint+c
-            if ypoint > testy and ypoint <= d0[1]:
-            #if ypoint >= testy and ypoint <= MOSTymax:
-                if xpoint > MOSTxmin and xpoint < MOSTxmax:
+            test = is_inside_polygon([xpoint,ypoint],project.polyAll,closed=True)
+            if test == True:
+                if ypoint > testy and ypoint < MOSTymax:
                     xplot.append(xpoint)
                     yplot.append(ypoint)
@@ -78,6 +78,7 @@
         for j, xpoint in enumerate(plotx):
             ypoint = m*xpoint+c
-            if ypoint > testy and ypoint < MOSTymax: #testy
-                if xpoint > MOSTxmin and xpoint < MOSTxmax:
+            test = is_inside_polygon([xpoint,ypoint],project.polyAll,closed=True)
+            if test == True:
+                if ypoint > testy and ypoint < MOSTymax:
                     xplot.append(xpoint)
                     yplot.append(ypoint)
Index: production/onslow_2006/make_report.py
===================================================================
--- production/onslow_2006/make_report.py	(revision 3181)
+++ production/onslow_2006/make_report.py	(revision 3188)
@@ -92,14 +92,15 @@
     swwfiles[swwfile] = label_id
 
-texname, elev_output, = sww2timeseries(swwfiles,
-                                       project.gauge_filename,
-                                       production_dirs,
-                                       report = True,
-                                       reportname = 'latexoutput',
-                                       plot_quantity = ['stage', 'speed'],
-                                       time_min = None,
-                                       time_max = None,
-                                       title_on = False,
-                                       verbose = True)
+texname, elev_output = sww2timeseries(swwfiles,
+                                      project.gauge_filename,
+                                      production_dirs,
+                                      report = True,
+                                      reportname = 'latexoutput',
+                                      plot_quantity = ['stage', 'speed'],
+                                      surface = False,
+                                      time_min = None,
+                                      time_max = None,
+                                      title_on = False,
+                                      verbose = True)
 
 latex_output.append(texname)
Index: production/onslow_2006/project.py
===================================================================
--- production/onslow_2006/project.py	(revision 3181)
+++ production/onslow_2006/project.py	(revision 3188)
@@ -61,4 +61,5 @@
 gauges50 = gaugedir + '50_gauges.xya'
 gauge_comparison = gaugedir + 'MOST_comparison_gauges.xya'
+gauge_comparison_3d = gaugedir + 'MOST_comparison_gauges_3d.xya'
 community_filename = gaugedir + 'CHINS_v2.csv'
 community_scenario = gaugedir + 'community_onslow.csv'
Index: production/onslow_2006/report/data.tex
===================================================================
--- production/onslow_2006/report/data.tex	(revision 3181)
+++ production/onslow_2006/report/data.tex	(revision 3188)
@@ -18,9 +18,11 @@
 (about 30 metres), produced from 1:50 000 contours, elevations and
 drainage. In addition, the Department of Land Information (DLI) has provided a
-20m DEM and orthophotography covering the NW Shelf. However, the 30m
+20m Digital Elevation Model (DEM) and orthophotography 
+covering the NW Shelf. However, the 30m
 DTED Level 2 data is ``bare earth'' whereas the DLI data is distorted by 
 vegetation 
 and buildings so we have chosen to use the DTED as the onshore 
-topographic data set.
+topographic data set. It is also important to note that the DEM does
+not include features such as rock walls, berths etc.
 
 With respect to the offshore data, the Department of Planning and