Index: /production/onslow_2006/report/damage_inputs.tex
===================================================================
--- /production/onslow_2006/report/damage_inputs.tex	(revision 3201)
+++ /production/onslow_2006/report/damage_inputs.tex	(revision 3202)
@@ -2,14 +2,17 @@
 \label{table:collapse}
 \caption{Framed residential building collapse probability. $h$ is the
-inundation height above ground floor [m]\footnote{Ground floor height of 0.3m assumed}}
-\begin{tabular}{l|l|l|l|l|l|}\hline
+inundation height (m) above ground 
+floor}
+%\footnote{Ground floor height of 0.3m assumed}.
+
+\begin{tabular}{|l|l|l|l|l|l|}\hline
 Building Location & 
-	<1.0 &	1.0<h<2.0&	2.0<h<3.0	&3.0<h<5.0	&>5.0 \\ \ hline
+	<1.0 &	1.0<h<2.0&	2.0<h<3.0	&3.0<h<5.0	&>5.0 \\ \hline
 First 2 Rows
 (1st block)	&0.05	&0.6	&0.8	&0.95	&0.99 \\ \ hline
-Second 2 Rows (2nd block)	&0.02	&0.3	&0.4	&0.7	&0.9 \\ \ hline
+Second 2 Rows (2nd block)	&0.02	&0.3	&0.4	&0.7	&0.9 \\ \hline
 Third 2 Rows
-(3rd block)	&0.01	&0.1	&0.25	&0.5	&0.65 \\ \ hline
-Beyond 3rd block	&0.0	&0.05	&0.15	&0.3	&0.45 \\ \ hline
+(3rd block)	&0.01	&0.1	&0.25	&0.5	&0.65 \\ \hline
+Beyond 3rd block	&0.0	&0.05	&0.15	&0.3	&0.45 \\ \hline
 \end{tabular}
 \end{table}
@@ -18,13 +21,14 @@
 \label{table:casualty} 
 \caption{Mortality and injury state probability}
-\begin{tabular}{l|l|l|l|l|l|l|}\hline
+\begin{tabular}{|l|l|l|l|l|l|l|}\hline
 Hazard Exposure	&	& Unharmed	&Minor
 	&Moderate 	&Serious	&Death \\ hline
-Collapse	&<1.0	&0.3	&0.28	&0.08	&0.04	&0.30 \\ hline
-	&>1.0	&0.01	&0.028	&0.008	&0.004	&0.95 \\ hline
-No Collapse  1st 3 blocks	&<1.0	&0.35	&0.40	&0.1	&0.05	&0.10 \\ hline
+Collapse	&<1.0	&0.3	&0.28	&0.08	&0.04	&0.30 \\ \hline
+	&>1.0	&0.01	&0.028	&0.008	&0.004	&0.95 \\ \hline
+No Collapse  1st 3 blocks	&<1.0	&0.35	&0.40	&0.1	&0.05	&0.10 
+\\ \hline
 	&>1.0	&0.1	&0.28	&0.08	&0.04	&0.50 \\ hline
-No Collapse - Elsewhere	&<1.0	&0.4	&0.4	&0.1	&0.05	&0.05 \\ hline
-	&>1.0	&0.12	&0.33	&0.1	&0.05	&0.40 \\ hline
+No Collapse - Elsewhere	&<1.0	&0.4	&0.4	&0.1	&0.05	&0.05 \\ \hline
+	&>1.0	&0.12	&0.33	&0.1	&0.05	&0.40 \\ \hline
 \end{tabular}
 \end{table}
@@ -33,24 +37,25 @@
 \label{table:injury}
 \caption{Injury level classifications}
-\begin{tabular}\hline
-Injury Severity Level	&Injury Description
+\begin{tabular}{|l|l|}\hline
+Injury Severity Level	&Injury Description \\ \hline
 Minor Injury
-Severity 1	&Injuries requiring basic medical aid without requiring hospitalisation. 
+Severity 1	&Injuries requiring basic medical aid without requiring 
+hospitalisation.
 These types of injuries would require bandages or observation. 
-Some examples are: a sprain, a severe cut requiring stitches, a 
-bump on the head without loss of consciousness. \\ hline
+Some examples are: a sprain, a severe cut requiring stitches, 
+a  bump on the head without loss of consciousness. \\ \hline
 Moderate Injury
 Severity 2	&Injuries requiring a greater degree of 
-medical care and use of medical technology such as x-rays or surgery, 
-but not expected to progress to a life threatening status. 
+medical care \newline and use of medical technology such as x-rays or surgery, 
+but not expected to progress to a life threatening status.
 Some examples are: a bump on the head that causes loss of consciousness, 
-fractured bone, dehydration or exposure. \\ hline
+fractured bone, dehydration or exposure. \\ \hline
 Severe Injury
 Severity 3	&Injuries that pose an immediate life threatening 
 condition if not treated adequately and expeditiously. Some examples are: 
 uncontrolled bleeding, punctured organ, other internal injuries, 
-spinal column injuries, or crush syndrome. \\ hline
+spinal column injuries, or crush syndrome. \\ \hline
 Fatal
-Severity 4	&Instantaneously killed or mortally injured \\ hline
+Severity 4	&Instantaneously killed or mortally injured \\ \hline
 \end{tabular}
 \end{table}
Index: /production/onslow_2006/report/onslow_2006_report.tex
===================================================================
--- /production/onslow_2006/report/onslow_2006_report.tex	(revision 3201)
+++ /production/onslow_2006/report/onslow_2006_report.tex	(revision 3202)
@@ -41,8 +41,4 @@
 \begin{document}
   \maketitle
-  
-  \begin{abstract}
-    \input{abstract}
-  \end{abstract}
   
   \tableofcontents
@@ -124,5 +120,7 @@
      \label{sec:metadata}
      \input{metadata}
-
+\section{Damage model inputs}
+\label{sec:damageinputs}
+\input{damage_inputs}
    \section{Time series}
      \label{sec:timeseries}