Index: /production/onslow_2006/make_report.py
===================================================================
--- /production/onslow_2006/make_report.py	(revision 3209)
+++ /production/onslow_2006/make_report.py	(revision 3210)
@@ -158,11 +158,11 @@
 \date{\\today}
 %\\author{Geoscience Australia}
-\\author{
-\\begin{figure}[hbt]
-  \centerline{ \includegraphics{../report_figures/GAlogo.jpg}}
-\end{figure}
-}
+
 \\begin{document}
   \maketitle
+
+\\begin{figure}[hbt]
+  \centerline{ \includegraphics[scale=0.25]{../report_figures/GAlogo.jpg}}
+\end{figure}
    
   \\tableofcontents
Index: /production/onslow_2006/report/damage.tex
===================================================================
--- /production/onslow_2006/report/damage.tex	(revision 3209)
+++ /production/onslow_2006/report/damage.tex	(revision 3210)
@@ -51,5 +51,5 @@
 \end{itemize}	
 
-The collapse vulnerability models used are presented in \ref{table:collapse}. 
+The collapse vulnerability models used are presented in Table \ref{table:collapse}. 
 In applying the model all structures in the inundation zone were 
 spatially located and the local water depth and building row 
@@ -66,7 +66,7 @@
 awaken them. The three injury categories corresponded with the 
 categories presented in HAZUS-MH \cite{NIBS:2003} for earthquake 
-related injury. The casualty model used is presented in 
+related injury. The casualty model used is presented in Table
 \ref{table:casualty} 
-and the injury categories are presented in \ref{table:injury}. 
+and the injury categories are presented in Table \ref{table:injury}. 
 Input data comprised resident population data at CD level derived 
 from the ABS 2001 census.
Index: /production/onslow_2006/report/damage_inputs.tex
===================================================================
--- /production/onslow_2006/report/damage_inputs.tex	(revision 3209)
+++ /production/onslow_2006/report/damage_inputs.tex	(revision 3210)
@@ -2,13 +2,12 @@
 \label{table:collapse}
 \caption{Framed residential building collapse probability. $h$ is the
-inundation height (m) above ground 
-floor}
-%\footnote{Ground floor height of 0.3m assumed}.
-
+inundation height (m) above ground where the ground floor height of 0.3m is
+assumed}.
+\begin{center}
 \begin{tabular}{|l|l|l|l|l|l|}\hline
 Building Location & 
 	<1.0 &	1.0<h<2.0&	2.0<h<3.0	&3.0<h<5.0	&>5.0 \\ \hline
 First 2 Rows
-(1st block)	&0.05	&0.6	&0.8	&0.95	&0.99 \\ \ hline
+(1st block)	&0.05	&0.6	&0.8	&0.95	&0.99 \\ \hline
 Second 2 Rows (2nd block)	&0.02	&0.3	&0.4	&0.7	&0.9 \\ \hline
 Third 2 Rows
@@ -16,4 +15,5 @@
 Beyond 3rd block	&0.0	&0.05	&0.15	&0.3	&0.45 \\ \hline
 \end{tabular}
+\end{center}
 \end{table}
 
@@ -21,15 +21,17 @@
 \label{table:casualty} 
 \caption{Mortality and injury state probability}
+\begin{center}
 \begin{tabular}{|l|l|l|l|l|l|l|}\hline
 Hazard Exposure	&	& Unharmed	&Minor
-	&Moderate 	&Serious	&Death \\ hline
+	&Moderate 	&Serious	&Death \\ \hline
 Collapse	&<1.0	&0.3	&0.28	&0.08	&0.04	&0.30 \\ \hline
 	&>1.0	&0.01	&0.028	&0.008	&0.004	&0.95 \\ \hline
 No Collapse  1st 3 blocks	&<1.0	&0.35	&0.40	&0.1	&0.05	&0.10 
 \\ \hline
-	&>1.0	&0.1	&0.28	&0.08	&0.04	&0.50 \\ hline
+	&>1.0	&0.1	&0.28	&0.08	&0.04	&0.50 \\ \hline
 No Collapse - Elsewhere	&<1.0	&0.4	&0.4	&0.1	&0.05	&0.05 \\ \hline
 	&>1.0	&0.12	&0.33	&0.1	&0.05	&0.40 \\ \hline
 \end{tabular}
+\end{center}
 \end{table}
 
@@ -37,4 +39,5 @@
 \label{table:injury}
 \caption{Injury level classifications}
+\begin{center}
 \begin{tabular}{|l|l|}\hline
 Injury Severity Level	&Injury Description \\ \hline
@@ -59,3 +62,4 @@
 Severity 4	&Instantaneously killed or mortally injured \\ \hline
 \end{tabular}
+\end{center}
 \end{table}
Index: /production/onslow_2006/report/modelling_methodology.tex
===================================================================
--- /production/onslow_2006/report/modelling_methodology.tex	(revision 3209)
+++ /production/onslow_2006/report/modelling_methodology.tex	(revision 3210)
@@ -39,7 +39,14 @@
 or in an estuary, whereas a coarser resolution may be sufficient 
 in deeper water where the bathymetric effects are less pronounced. 
-Figure \ref{fig:xxx} shows a mesh of variable resolution.
+Figure \ref{fig:refinedmesh} shows a mesh of variable resolution.
 
+\begin{figure}[hbt]
 
+  \centerline{ \includegraphics[width=100mm, height=75mm]
+             {../report_figures/refined_mesh.jpg}}
+
+  \caption{Computational mesh with variable resolution.}
+  \label{fig:refinedmesh}
+\end{figure}
    
 