Index: /production/onslow_2006/make_report.py
===================================================================
--- /production/onslow_2006/make_report.py	(revision 3214)
+++ /production/onslow_2006/make_report.py	(revision 3215)
@@ -70,7 +70,9 @@
 report_title = 'Tsunami impact modelling for the North West shelf: %s' %scenario_name.title()
 
-production_dirs = {'20060426_004129': '1.5 AHD',
-                   '20060426_004237': '-1.5 AHD',
-                   '20060515_001733': '0 AHD'}
+#production_dirs = {'20060426_004129': '1.5 AHD',
+#                   '20060426_004237': '-1.5 AHD',
+#                   '20060515_001733': '0 AHD'}
+
+production_dirs = {'20060515_001733': '0 AHD'}
 
 max_maps = {'1.5 AHD': 'HAT_map',
Index: /production/onslow_2006/report/anuga.tex
===================================================================
--- /production/onslow_2006/report/anuga.tex	(revision 3214)
+++ /production/onslow_2006/report/anuga.tex	(revision 3215)
@@ -28,16 +28,24 @@
 As part of the CRA, it was decided to provide results for the
 extremes of the tidal regimes to understand the potential range of impacts 
-from the 
-event. However, throughout the modelling process, a number of issues became
-evident. A standard assumption is that zero Australian Height Datum
-(AHD) is approximately 
-the same as Mean Sea Level (MSL). Implementing the values provided for
-Highest Astronomical Tide (HAT) and Lowest Astronomical Tide (LAT)
-would inundate some regions of Onslow before the simulation is even begun.
-Further, the recorded value for HAT will not be identical at each 
-point along the coastline. There
-is evidence suggesting different high tide marks (with respect
-to a set datum) within
-a localised region. As an aside, a current GA contract is
+from the event. Onslow is termed a Standard Port
+by the Australian Hydrographic Service, with tidal
+predictions based on continuous observation of the tide
+over a period of at least one year, however it is advised that these
+observations extend to three years to note changes in the mean
+sea level. The Australian National Tide Tables 2006 \cite{antt:06}
+describes how
+these predictions are rounded to two decimal places, then
+further rounded to a single decimal place. 
+Figure \ref{fig:ic} shows the contour lines for
+the values for
+Highest Astronomical Tide (HAT; 1.5m AHD), Mean Sea Level (MSL; 0m AHD) 
+and Lowest Astronomical Tide (LAT; -1.5m AHD) for Onslow, \cite{antt:06}.
+It is evident from this figure that significant areas of Onslow are
+inundated before the simulation is even begun indicating 
+shortcomings with the underlying data set. Therefore, we use only
+one initial condition for this scenario; 0m AHD.
+%It is important to note that there is no Bureau of Metereoolgy
+%tide gauge in Onslow, 
+As an aside, a current GA contract is
 extracting information from LANDSAT imagery to reconstruct the 
 tidal variations for various WA locations. Future modelling of
@@ -46,12 +54,7 @@
 tidal effects (that is, the changes in water height over time for
 the entire study area) is not currently modelled.
-In the simulations provided in this report, we assume that 
-increase of water height for the initial condition is spatially consistent
-for the study region. 
-
-We use three initial conditions in this report;
--1.5m AHD, 0m AHD and 1.5m AHD. Figure \ref{fig:ic} shows the Onslow region
-with the 1.5m AHD and -1.5m AHD contour lines shown. It is evident then
-that much of Onslow would be inundated at a uniform tide at 1.5m AHD.
+%In the simulations provided in this report, we assume that 
+%increase of water height for the initial condition is spatially consistent
+%for the study region. 
 Bottom friction will generally provide resistance to the water flow
 and thus reduce the impact somewhat. However, it is an open area
@@ -66,9 +69,5 @@
 {../report_figures/contours.jpg}}
 
-  \caption{Onslow regions showing the 1.5m AHD and -1.5m AHD contour lines.}
+  \caption{Onslow regions showing the 1.5m AHD, 0m AHD and -1.5m AHD contour lines.}
   \label{fig:ic}
 \end{figure}
-
-
-
-
Index: /production/onslow_2006/report/interpretation.tex
===================================================================
--- /production/onslow_2006/report/interpretation.tex	(revision 3214)
+++ /production/onslow_2006/report/interpretation.tex	(revision 3215)
@@ -43,7 +43,10 @@
 (3.8 hours) after the tsunami is generated. 
 Prior to the drawdown, maximum amplitudes are approximately 50cm at 
-West of Groyne and the mouth of Beadon Creek, for example. The first wave 
+West of Groyne (Figure \ref{fig:gaugeWestofGroyne}) and the mouth of Beadon Creek
+(Figure \ref{fig:gaugeBeadonCreekmouth}), for example. The first wave 
 after the drawdown ranges from approximatly 2m in the 
-west of Beadon Bay to 1.5m in the east of Beadon Bay. The speed 
+west of Beadon Bay (Figure \ref{fig:gaugeBeadonBaywest})
+to 1.5m in the east of Beadon Bay (Figure \ref{fig:gaugeBeadonBayeast}). 
+The speed 
 sharply increases at drawdown with further increases as the 
 wave grows in amplitude. 
@@ -56,13 +59,13 @@
 
 The maximum speed found for the offshore locations occur at the West of 
-Groyne location with speeds halved at the Beadon Bay west location. 
-The Beadon Bay west speed is greater that the east of Beadon 
-Bay location. There is similar differences in amplitude (from drawdown to maximum 
+Groyne location (Figure \ref{fig:gaugeWestofGroyne})
+with speeds halved at the Beadon Bay west location. 
+The Beadon Bay west speed is greater than the east of Beadon 
+Bay location (Figure \ref{fig:gaugeBeadonBayeast}). 
+There is similar differences in amplitude (from drawdown to maximum 
 amplitude), however, the western location is in deeper water than the eastern 
 location which may indicate the increased speed found in the east of the 
-bay.  
-
-Subsequent drawdowns are seen as the multitude of waves which make up the 
-event propagate towards the shore. 
+bay.  Subsequent drawdowns are seen as the multitude of waves which make up the 
+event (see Figure \ref{fig:MOSTsolution}) propagate towards the shore. 
 
 %At some gauge locations, these 
@@ -71,15 +74,12 @@
 %West of Groyne and Beadon Creek locations.
 
-It is evident for each simulation that the sand dunes west of 
-Onslow are very effective in halting the tsunami wave,
-see Figures \ref{fig:MSL_max_inundation} and
-\ref{fig:LAT_max_inundation} and  \ref{fig:HAT_max_inundation}. 
-The height of these
-sand dunes are approximately 10m which is more than enough to halt
-the largest of the tsunami waves which occurs for the
-1.5m AHD simulation. There is inundation between the sand dunes at high 
-tide, Figure \ref{fig:HAT_max_inundation}, however, this water 
-penetrated from the north east (via
-Onslow town centre) rather than seaward.
+It is evident that the sand dunes west of 
+Onslow are very effective in halting the tsunami wave which rise to approximately
+10m in height,
+see Figure \ref{fig:MSL_max_inundation}. 
+%There is inundation between the sand dunes at high 
+%tide, Figure \ref{fig:HAT_max_inundation}, however, this water 
+%penetrated from the north east (via
+%Onslow town centre) rather than seaward.
 The same feature is evident for the sand dunes east of Onslow which
 rise to 15m in height. Currently, we do not model changes 
@@ -87,20 +87,28 @@
 Therefore, we do not know whether these sand dunes would withstand the
 transmitted energy of the tsunami wave. 
+The tsunami wave penetrates the river east of Onslow with wave height 
+approximately 2m at the mouth (Figure \ref{fig:gaugeBeadonCreekmouth}) 
+and inundation
+exceeding 1m found at the Beadon Creek south of dock location (Figure
+\ref{fig:gaugeBeadonCreeksouthofdock}).
+%The wave penetrates the river east of Onslow with increasingly
+%greater inundation between the -1.5m AHD and 1.5m AHD simulations.
 
-The wave penetrates the river east of Onslow with increasingly
-greater inundation between the -1.5m AHD and 1.5m AHD simulations.
+%As expected, there is greater inundation at 1.5m AHD. The major road
+%into Onslow, the Onslow Mount Stuart Rd, remains free of inundation for
+%all simulations. Beadon Creek Rd which services the wharf in the
+%river becomes increasingly inundated as the initial condition
+%changes from 0m AHD to 1.5m AHD. Only the
+%entry to the wharf on Beadon Creek Rd is sufficiently inundated at -1.5m AHD
+%to stop traffic. At 1.5m AHD however, essentially the entire road 
+%would be impassable.
 
-As expected, there is greater inundation at 1.5m AHD. The major road
-into Onslow, the Onslow Mount Stuart Rd, remains free of inundation for
-all simulations. Beadon Creek Rd which services the wharf in the
-river becomes increasingly inundated as the initial condition
-changes from 0m AHD to 1.5m AHD. Only the
-entry to the wharf on Beadon Creek Rd is sufficiently inundated at -1.5m AHD
-to stop traffic. At 1.5m AHD however, essentially the entire road 
-would be impassable.
-
-There is significant inundation of at
-least 2m on the foreshore of Onslow for 0m AHD and 1.5m AHD.
-The inundation extent increases the initial condition increases above 0m AHD, 
-pushing the edges
-of the majority of the road infrastructure in the Onslow town centre.
+%There is significant inundation of at
+%least 2m on the foreshore of Onslow for 0m AHD and 1.5m AHD.
+%The inundation extent increases the initial condition increases above 0m AHD, 
+%pushing the edges
+%of the majority of the road infrastructure in the Onslow town centre.
+There is significant inundation of at least 2m on the foreshore of Onslow.
+The major orad into Onslow, the Onslow Mount Stuart Rd, remains free 
+of inundation, however there is some inundation on Beadon Creek Rd
+which services the wharf in the river.
Index: /production/onslow_2006/report/onslow_2006_report.tex
===================================================================
--- /production/onslow_2006/report/onslow_2006_report.tex	(revision 3214)
+++ /production/onslow_2006/report/onslow_2006_report.tex	(revision 3215)
@@ -40,13 +40,11 @@
 %\author{Geoscience Australia}
 
-
-
 \begin{document}
   \maketitle
+
+\begin{figure}[hbt]
+  \centerline{ \includegraphics[scale=0.25]{../report_figures/GAlogo.jpg}}
+\end{figure}
    
-\begin{figure}[hbt]
-  \centerline{ \includegraphics[scale=0.45]{../report_figures/GAlogo.jpg}}
-\end{figure}
-
   \tableofcontents
 
@@ -111,10 +109,4 @@
  \clearpage 
  
-\input{LAT_map} 
- \clearpage 
- 
-\input{HAT_map} 
- \clearpage 
- 
 
    \section{Impact modelling}
@@ -130,4 +122,5 @@
      \label{sec:metadata}
      \input{metadata}
+
    \section{Time series}
      \label{sec:timeseries}
@@ -136,5 +129,5 @@
      \label{sec:damageinputs}
      \input{damage_inputs}
-\input{latexoutput} 
+\input{latexoutput20060515001733} 
  \clearpage 
  
Index: /production/onslow_2006/report/references.tex
===================================================================
--- /production/onslow_2006/report/references.tex	(revision 3214)
+++ /production/onslow_2006/report/references.tex	(revision 3215)
@@ -21,4 +21,8 @@
 URL: http://www.mssanz.org.au/modsim05/papers/nielsen.pdf
 
+\bibitem{antt:06} Australian National Tide Tables 2006:
+Australia, Papua New Guinea, Solomon Islands and Antarctica and East Timor.
+Australian Hydrographic Publication 11, Australian Hydrographic Service.
+
 \bibitem{papathoma:vulnerability} 
 Papathoma, M. and Dominey-Howes, D. (2003) 