Index: /production/onslow_2006/report/latexoutput20060515001733.tex
===================================================================
--- /production/onslow_2006/report/latexoutput20060515001733.tex	(revision 3216)
+++ /production/onslow_2006/report/latexoutput20060515001733.tex	(revision 3216)
@@ -0,0 +1,140 @@
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeBeadonPointLoadingBerthstage20060515001733.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeBeadonPointLoadingBerthspeed20060515001733.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at Beadon Point Loading Berth location (elevation -8.69m)} 
+ \label{fig:20060515001733gaugeBeadonPointLoadingBerth} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeHospitalstage20060515001733.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeHospitalspeed20060515001733.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at Hospital location (elevation 7.56m)} 
+ \label{fig:20060515001733gaugeHospital} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeBindiBindiCommunitystage20060515001733.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeBindiBindiCommunityspeed20060515001733.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at Bindi Bindi Community location (elevation 1.00m)} 
+ \label{fig:20060515001733gaugeBindiBindiCommunity} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugePowerStationstage20060515001733.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugePowerStationspeed20060515001733.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at Power Station location (elevation 5.17m)} 
+ \label{fig:20060515001733gaugePowerStation} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeAirportRunwaystage20060515001733.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeAirportRunwayspeed20060515001733.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at Airport Runway location (elevation 3.00m)} 
+ \label{fig:20060515001733gaugeAirportRunway} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeBeadonCreekDocksstage20060515001733.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeBeadonCreekDocksspeed20060515001733.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at Beadon Creek Docks location (elevation 1.76m)} 
+ \label{fig:20060515001733gaugeBeadonCreekDocks} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeWestofGroynestage20060515001733.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeWestofGroynespeed20060515001733.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at West of Groyne location (elevation -2.10m)} 
+ \label{fig:20060515001733gaugeWestofGroyne} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeBeadonCreekmouthstage20060515001733.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeBeadonCreekmouthspeed20060515001733.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at Beadon Creek mouth location (elevation -2.80m)} 
+ \label{fig:20060515001733gaugeBeadonCreekmouth} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeBeadonCreeksouthofdockstage20060515001733.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeBeadonCreeksouthofdockspeed20060515001733.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at Beadon Creek south of dock location (elevation -1.49m)} 
+ \label{fig:20060515001733gaugeBeadonCreeksouthofdock} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeCentredamwallstage20060515001733.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeCentredamwallspeed20060515001733.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at Centre dam wall location (elevation 3.00m)} 
+ \label{fig:20060515001733gaugeCentredamwall} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeDamoverflowstage20060515001733.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeDamoverflowspeed20060515001733.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at Dam overflow location (elevation 1.53m)} 
+ \label{fig:20060515001733gaugeDamoverflow} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeLightTowerstage20060515001733.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeLightTowerspeed20060515001733.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at Light Tower location (elevation 1.47m)} 
+ \label{fig:20060515001733gaugeLightTower} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeBeadonBayweststage20060515001733.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeBeadonBaywestspeed20060515001733.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at Beadon Bay west location (elevation -4.61m)} 
+ \label{fig:20060515001733gaugeBeadonBaywest} 
+ \end{figure} 
+ 
+\begin{figure}[hbt] 
+ \centering 
+ \begin{tabular}{cc} 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeBeadonBayeaststage20060515001733.png}& 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeBeadonBayeastspeed20060515001733.png}\\ 
+\end{tabular} 
+ \caption{Time series for stage and speed at Beadon Bay east location (elevation -3.56m)} 
+ \label{fig:20060515001733gaugeBeadonBayeast} 
+ \end{figure} 
+ 