Index: /production/onslow_2006/make_report.py
===================================================================
--- /production/onslow_2006/make_report.py	(revision 3236)
+++ /production/onslow_2006/make_report.py	(revision 3237)
@@ -156,6 +156,6 @@
 fid.write(s)
 
-s = '\\title{%s} \n' %report_title
-fid.write(s)
+#s = '\\title{%s} \n' %report_title
+#fid.write(s)
 
 s = """
@@ -164,8 +164,13 @@
 
 \\begin{document}
+\\title{
 \\begin{figure}[hbt]
-  \centerline{ \includegraphics[scale=0.35]{../report_figures/GAlogo.jpg}}
+  \centerline{ \includegraphics[scale=0.4]{../report_figures/GAlogo.jpg}}
 \end{figure}
-   
+"""
+fid.write(s)
+s = '%s} '%report_title
+fid.write(s)
+s = """
   \maketitle
 
@@ -264,5 +269,5 @@
 
 s = """
-   \section{Discussion}
+   \section{Issues}
      \input{discussion}
 
Index: /production/onslow_2006/report/damage.tex
===================================================================
--- /production/onslow_2006/report/damage.tex	(revision 3236)
+++ /production/onslow_2006/report/damage.tex	(revision 3237)
@@ -74,5 +74,5 @@
 \label{table:damageoutput}
 %\caption{Residential damage sustained for 1.5m, 0m and -1.5m AHD scenarios.}
-\caption{Residential damage sustained for 0m AHD scenario.}
+\caption{Residential damage sustained for the 0m AHD scenario.}
 \begin{center}
 \begin{tabular}{|l|l|l|l|l|l|l|}\hline
@@ -90,5 +90,5 @@
 \label{table:injuries}
 %\caption{Injuries sustained for 1.5m, 0m and -1.5m AHD scenarios.}
-\caption{Injuries sustained for 0m AHD scenario.}
+\caption{Injuries sustained for the 0m AHD scenario.}
 \begin{center}
 \begin{tabular}{|l|l|l|l|l|}\hline
Index: /production/onslow_2006/report/damage_inputs.tex
===================================================================
--- /production/onslow_2006/report/damage_inputs.tex	(revision 3236)
+++ /production/onslow_2006/report/damage_inputs.tex	(revision 3237)
@@ -3,5 +3,5 @@
 \caption{Framed residential building collapse probability. $h$ is the
 inundation height (m) above ground where the ground floor height of 0.3m is
-assumed}.
+assumed.}
 \begin{center}
 \begin{tabular}{|l|l|l|l|l|l|}\hline
Index: /production/onslow_2006/report/interpretation.tex
===================================================================
--- /production/onslow_2006/report/interpretation.tex	(revision 3236)
+++ /production/onslow_2006/report/interpretation.tex	(revision 3237)
@@ -114,5 +114,5 @@
 %of the majority of the road infrastructure in the Onslow town centre.
 There is significant inundation of at least 2m on the foreshore of Onslow.
-The major orad into Onslow, the Onslow Mount Stuart Rd, remains free 
+The major road into Onslow, the Onslow Mount Stuart Rd, remains free 
 of inundation, however there is some inundation on Beadon Creek Rd
 which services the wharf in the river.
Index: /production/onslow_2006/report/modelling_methodology.tex
===================================================================
--- /production/onslow_2006/report/modelling_methodology.tex	(revision 3236)
+++ /production/onslow_2006/report/modelling_methodology.tex	(revision 3237)
@@ -25,5 +25,5 @@
 the complexity associated with the water flow from off to onshore. By contrast, the data
 resolution required is typically of the order of tens of metres.
-The model ANUGA (\cite{ON:modsim}) is suitable for this type of non-linear
+The model ANUGA \cite{ON:modsim} is suitable for this type of non-linear
 modelling.
 
Index: /production/onslow_2006/report/onslow_2006_report.tex
===================================================================
--- /production/onslow_2006/report/onslow_2006_report.tex	(revision 3236)
+++ /production/onslow_2006/report/onslow_2006_report.tex	(revision 3237)
@@ -42,5 +42,5 @@
 \title{
 \begin{figure}[hbt]
-  \centerline{ \includegraphics[scale=0.35]{../report_figures/GAlogo.jpg}}
+  \centerline{ \includegraphics[scale=0.4]{../report_figures/GAlogo.jpg}}
 \end{figure}
 Tsunami impact modelling for the North West shelf: Onslow} 
@@ -114,5 +114,5 @@
      \input{damage}
 
-   \section{Discussion}
+   \section{Issues}
      \input{discussion}
 