Index: production/onslow_2006/report/computational_setup.tex
===================================================================
--- production/onslow_2006/report/computational_setup.tex	(revision 3239)
+++ production/onslow_2006/report/computational_setup.tex	(revision 3240)
@@ -14,5 +14,6 @@
 
 {\bf Need some words here about why pick 100m.}
-
+Preliminary investigations indicate that MOST and ANUGA compare
+well at the 100m contour line.
 
 \begin{figure}[hbt]
@@ -75,5 +76,7 @@
               {../report_figures/mesh.jpg}}
 
-  \caption{Computational mesh for Onslow study area.}
+  \caption{Computational mesh for Onslow study area where the
+cell areas increase in resolution; 500 m$^2$, 2500 m$^2$, 20000 
+m$^2$ and 100000 m$^2$.}
   \label{fig:mesh_onslow}
 \end{figure}
@@ -84,5 +87,5 @@
 as described in Section \ref{sec:methodology}. 
 MOST was used to initiate the event and propagate the wave in deep water. 
-ANUGA uses MOST's output in form of the waves amplitude and velocity at
+ANUGA uses the MOST wave amplitude and velocity at
 the boundary (the 100m contour line as shown in Figure \ref{fig:onslow_area})
 and continues to propagate the wave in shallow water and onshore. 
@@ -91,5 +94,8 @@
 Figure \ref{fig:MOSTsolution} as a surface showing the wave's
 amplitude as a function of its spatial location and time.
-
+This figure shows how the wave has been affected by the bathymetry in 
+arriving at these locations as the amplitude is variable. It is also
+important to note that the tsunami is made up of a series of
+waves with different amplitudes.
 
 \begin{figure}[hbt] 
Index: production/onslow_2006/report/damage.tex
===================================================================
--- production/onslow_2006/report/damage.tex	(revision 3239)
+++ production/onslow_2006/report/damage.tex	(revision 3240)
@@ -4,6 +4,7 @@
 In this report, impact modelling refers to damage as a result
 of the inundation described in Section \ref{sec:results}. This damage
-is reported as to damage to infrastructure as well as
-number of human injuries. The infrastructure
+is reported as damage to infrastructure as well as
+number of human injuries and is determined assuming
+that the event occurs at night. The infrastructure
 refers to residential structures only and is sourced from the 
 the National Building Exposure Database (NBED). The NBED has been
@@ -22,7 +23,8 @@
 To develop building damage and casuality estimates, we briefly describe 
 residential collapse probability models and casualty models and their 
-application to inundation modelling.
-With limited data found in the international literature, 
-along with reported observations made of building performance during the 
+application to inundation modelling. There is limited data found in
+the international literature to support to the development of
+vulnerability models. However,
+with reported observations made of building performance during the 
 recent Indian Ocean tsunami, vulnerability models have been proposed for 
 framed residential construction. The models predict the collapse 
@@ -50,11 +52,11 @@
 sleeping height (1.0 m) and the limited warning noise for people 
 in the first three city blocks (six house rows) that could potentially 
-awaken them. The three injury categories corresponded with the 
+awaken them. The three injury categories correspond with the 
 categories presented in HAZUS-MH \cite{NIBS:2003} for earthquake 
 related injury. The casualty model used is presented in Table
 \ref{table:casualty} 
 and the injury categories are presented in Table \ref{table:injury}. 
-Input data comprised resident population data at CD level derived 
-from the ABS 2001 census.
+Input data comprised of resident population data at census
+district level derived from the ABS 2001 census.
 
 The damage to the residential structures in the Onslow community
@@ -73,14 +75,11 @@
 \begin{table}[h]
 \label{table:damageoutput}
-%\caption{Residential damage sustained for 1.5m, 0m and -1.5m AHD scenarios.}
 \caption{Residential damage sustained for the 0m AHD scenario.}
 \begin{center}
-\begin{tabular}{|l|l|l|l|l|l|l|}\hline
-& Houses  & Houses  & Structural & Repair Cost \% & Contents & Contents Loss \% \\ 
-& Inundation & Collapsed & Repair Cost 
+\begin{tabular}{|l|l|l|l|l|l|}\hline
+Houses  & Houses  & Structural & Repair Cost \% & Contents & Contents Loss \% \\ 
+Inundation & Collapsed & Repair Cost 
 & of Total Value & Losses & of Total Value \\ \hline
-%1.5m AHD & 90 & 14 & \$10,951,887 & 18.2 \% & \$24,020,309 & 28.12 \%\\ \hline
-0m AHD & 54 & 1 & \$5,317,783 &  8.8 \% & \$11,592,602 & 13.6 \% \\ \hline
-%-1.5m AHD & 0 & 0 & 0& 0& 0&  0\\ \hline
+54 & 1 & \$5,317,783 &  8.8 \% & \$11,592,602 & 13.6 \% \\ \hline
 \end{tabular}
 \end{center}
@@ -89,16 +88,12 @@
 \begin{table}[h]
 \label{table:injuries}
-%\caption{Injuries sustained for 1.5m, 0m and -1.5m AHD scenarios.}
 \caption{Injuries sustained for the 0m AHD scenario.}
 \begin{center}
 \begin{tabular}{|l|l|l|l|l|}\hline
- & Minor & Moderate & Serious & Fatal \\ \hline
-%1.5m AHD & 59 & 17 & 8 & 83 \\ \hline
-0m AHD & 43 & 11 & 6 & 20 \\ \hline
-%-1.5m AHD & 0 & 0 & 0 & \\ \hline
+Minor & Moderate & Serious & Fatal \\ \hline
+43 & 11 & 6 & 20 \\ \hline
 \end{tabular}
 \end{center}
 \end{table}
-
 
 Impact on indigeneous communities are important considerations when determining
@@ -109,4 +104,5 @@
 in Figure
 \ref{fig:points}. The population of the Bindibindi community is 140 
+(18 \% of the Onslow population)
 and is situated close to the coast as seen in Figure \ref{fig:points}.
 At 0m AHD, over 2m of water will inundate parts of the community (Figure 
Index: production/onslow_2006/report/discussion.tex
===================================================================
--- production/onslow_2006/report/discussion.tex	(revision 3239)
+++ production/onslow_2006/report/discussion.tex	(revision 3240)
@@ -10,9 +10,8 @@
 recommending this be extended to three years to capture
 changes to the mean sea level. Onslow is listed as
-a Standard Port. These predictions are ultimately rounded on a single
-decimal place.
+a Standard Port. 
 
 Figure \ref{fig:contours} shows the contour lines for
-the HAT, MSL and LAT for Onslow.
+HAT, MSL and LAT for Onslow.
 It is evident from this figure that the extent of the tidal
 inundation is exaggerated which is due to
Index: production/onslow_2006/report/interpretation.tex
===================================================================
--- production/onslow_2006/report/interpretation.tex	(revision 3239)
+++ production/onslow_2006/report/interpretation.tex	(revision 3240)
@@ -1,3 +1,2 @@
-
 The main features of the
 tsunami wave and resultant impact ashore is described in this section. 
@@ -6,10 +5,10 @@
 in an emergency situation, such as the hospital and power station, or
 effect recovery efforts, such as the airport and docks. These locations
-are described in table \ref{table:locations} and shown in 
+are described in Table \ref{table:locations} and shown in 
 Figure \ref{fig:points}. The water's stage and speed are shown
 as a function of time in the series of graphs shown in
 Section \ref{sec:timeseries}. Stage is defined as the absolute
 water level relative to AHD. Both stage and spped are shown
-on consistent scales to compare between point locations.
+on consistent scales to allow comparison between point locations.
 %The graphs show these time series for
 %the three cases; 1.5m AHD, 0m AHD and -1.5m AHD so that comparisons can
@@ -24,5 +23,5 @@
 \begin{center}
 \begin{tabular}{|l|l|}\hline
-Velocity (m/s) & Example \\ \hline
+{\bf Velocity (m/s)} & {\bf Example} \\ \hline
 1 & leisurely stroll pace\\ \hline
 1.5 & average walking pace \\ \hline
@@ -36,5 +35,4 @@
 \end{center}
 \end{table}
-
 
 Examining the offshore locations shown in Section \ref{sec:timeseries}, 
@@ -64,5 +62,5 @@
 Groyne location (Figure \ref{fig:20060515001733gaugeWestofGroyne})
 with speeds halved at the Beadon Bay west location. 
-The Beadon Bay west speed is greater than the east of Beadon 
+The speed at west of Beadon Bay is greater than the east of Beadon 
 Bay location (Figure \ref{fig:20060515001733gaugeBeadonBayeast}). 
 There is similar differences in amplitude (from drawdown to maximum 
Index: production/onslow_2006/report/introduction.tex
===================================================================
--- production/onslow_2006/report/introduction.tex	(revision 3239)
+++ production/onslow_2006/report/introduction.tex	(revision 3240)
@@ -14,5 +14,5 @@
 
 This report is the first in a series of studies which 
-becomes a component of the suite of tsunami assessments for the North West
+go towards building the suite of tsunami assessments for the North West
 Shelf. 
 Subsequent reports will not only
@@ -32,8 +32,7 @@
 The report will outline the methods of modelling the tsunami from its 
 source to its impact ashore and present the predicted consequences. 
-Section \ref{sec:tsunamiscenario} provides
-the background to the scenario used for this study. Whilst 
-the return period of this scenario is unknown, it
-can be be classed as a plausible event, see Section \ref{sec:tsunamiscenario}. 
+The scenario used for this study has an unknown 
+return period, however it
+can be classed as a plausible event, see Section \ref{sec:tsunamiscenario}. 
 Future studies
 will present a series of scenarios for a range of return periods to 
Index: production/onslow_2006/report/modelling_methodology.tex
===================================================================
--- production/onslow_2006/report/modelling_methodology.tex	(revision 3239)
+++ production/onslow_2006/report/modelling_methodology.tex	(revision 3240)
@@ -23,12 +23,12 @@
 elevation data. 
 Linear models typically use data resolutions of the order
-of hundreds of metres, which is sufficient to model long wavelength tsunami waves. 
-Non-linear models by contrast require much finer resolution in order to capture
+of hundreds of metres, which is sufficient to model the tsunami waves
+in deeper water where the wavelength is longer. 
+Non-linear models however require much finer resolution in order to capture
 the complexity associated with the water flow from off to onshore. By contrast, the data
 resolution required is typically of the order of tens of metres.
 The model ANUGA \cite{ON:modsim} is suitable for this type of non-linear
 modelling.
-
-However, using a non-linear model capable of resolving local bathymetric effects 
+Using a non-linear model capable of resolving local bathymetric effects 
 and runup using detailed elevation data will require much more computational 
 resources than the typical hazard model making it infeasible to use it 
Index: production/onslow_2006/report/references.tex
===================================================================
--- production/onslow_2006/report/references.tex	(revision 3239)
+++ production/onslow_2006/report/references.tex	(revision 3240)
@@ -40,6 +40,6 @@
 
 \bibitem{cooper:2005}
-Cooper, D. (2005) Personal Communication at NSW Tsunami Workshop 12th and 
-13th April, Masonic Centre, Goulburn St, Sydney.
+Cooper, D. (2005) Risk Research Group Personal Communication at NSW Tsunami 
+Workshop 12th and 13th April, Masonic Centre, Goulburn St, Sydney.
 
 \bibitem{NIBS:2003} National Institute of Building Sciences (2003) 
Index: production/onslow_2006/report/summary.tex
===================================================================
--- production/onslow_2006/report/summary.tex	(revision 3239)
+++ production/onslow_2006/report/summary.tex	(revision 3240)
@@ -1,7 +1,8 @@
-
-This report has described the impact to Onslow from a Mw 9 earthquake
-generated from the Sunda Arc subduction zone occurring at
-Mean Sea Level. 
-There is no knowledge of the return period for this event. 
+This report has described the impact to Onslow from a tsunami
+generated by a Mw 9 earthquake on the Sunda Arc subduction zone 
+occurring at Mean Sea Level. 
+There is no knowledge of the return period for this event. The
+modelling methodology, assumptions and data sources have also
+been described. 
 As discussed in Section \ref{sec:issues}, there are issues
 with the underlying data set which may have vertical inaccuracies
Index: production/onslow_2006/report/tsunami_scenario.tex
===================================================================
--- production/onslow_2006/report/tsunami_scenario.tex	(revision 3239)
+++ production/onslow_2006/report/tsunami_scenario.tex	(revision 3240)
@@ -23,6 +23,6 @@
 they are likely to pose a comparatively low and more localised hazard to WA. 
 
-Figure \ref{fig:mw9} shows the maximum wave height at the 50m contour 
-for a Mw 9 event off
+Figure \ref{fig:mw9} shows the maximum wave height of a tsunami initiated 
+by a Mw 9 event off
 the coast of Java. It is this event which provides the source and
 boundary condition to the