Index: /production/onslow_2006/make_report.py
===================================================================
--- /production/onslow_2006/make_report.py	(revision 3240)
+++ /production/onslow_2006/make_report.py	(revision 3241)
@@ -271,5 +271,5 @@
    \section{Issues}
      \input{discussion}
-     \label{issues}
+     \label{sec:issues}
 
      \section{Summary}
Index: /production/onslow_2006/report/computational_setup.tex
===================================================================
--- /production/onslow_2006/report/computational_setup.tex	(revision 3240)
+++ /production/onslow_2006/report/computational_setup.tex	(revision 3241)
@@ -50,6 +50,6 @@
 which can adequately model tsunamis with a wavelength of 
 50km. For this scenario, the wavelength of the tsunami wave is
-approximately 20km near the boundary indicating that a minimum
-grid resolution of 20000m would be required.
+approximately 1km near the boundary indicating that a minimum
+grid resolution of 100m would be required.
 With this information, the remaining cell areas are
 2500 m$^2$ for the region surrounding the coast,
@@ -58,7 +58,7 @@
 These choice of cell areas is more than adequate to propagate the tsunami wave
 in the deepest sections of the study area.\footnote{
-With a wavelength of 20km, the minimum (square) grid resolution would
-be 2000m which results in a square cell area of 4000000 m$^2$. A minimum
-triangular cell area would therefore be 2000000 m$^2$.}
+With a wavelength of 1km, the minimum (square) grid resolution would
+be 100m which results in a square cell area of 10000 m$^2$. A minimum
+triangular cell area would therefore be 5000 m$^2$.}
 The resultant computational mesh is shown in Figure \ref{fig:mesh_onslow}.
 
Index: /production/onslow_2006/report/execsum.tex
===================================================================
--- /production/onslow_2006/report/execsum.tex	(revision 3240)
+++ /production/onslow_2006/report/execsum.tex	(revision 3241)
@@ -1,9 +1,3 @@
-The Risk Research Group at Geoscience Australia is playing a role in building 
-the capability for the Australian Tsunami Warning System (ATWS). 
-The ATWS aims to detect and warn the community
-of tsunami-genic events as well as develop community education programs for
-preparation of the event. 
-
-THE Fire and Emergency Services Authority of Western Australia (FESA) and 
+The Fire and Emergency Services Authority of Western Australia (FESA) and 
 associated volunteers respond to a wide range of emergencies 
 as well as undertaking search and rescue operations on land and 
@@ -13,11 +7,16 @@
 FESA helps the West Australian 
 community prepare, prevent (where possible) and respond safely to disasters.
+These risk mitigation activities involve understanding the relative risk
+of the disaster so that resources can be directed to appropriate areas
+and corresponding evacuation plans put in place.  
 
-These risk mitigation activities involve understanding the relative risk
-of the disaster so that appropriate evacuation plans can be put in place.  
-To develop an understanding of the tsunami risk, the Risk Research Group 
-at Geoscience Australia (GA) is 
-developing decision support tools to assist emergency managers. 
-These tools consist of inundation
+The key role of the Risk Research Group at Geoscience Australian 
+is to develop knowledge on the risk from natural and 
+human-caused hazards for input to policy and operational decision makers 
+for the mitigation of risk to Australian communities. The group achieves 
+this through the development of computational methods, models and decision 
+support tools that assess the hazard, vulnerability and risk posed by hazards.
+To develop an understanding of the tsunami risk, these
+decision support tools consist of inundation
 maps and damage modelling overlaid on aerial photography of the region 
 detailing critical infrastructure. 
Index: /production/onslow_2006/report/summary.tex
===================================================================
--- /production/onslow_2006/report/summary.tex	(revision 3240)
+++ /production/onslow_2006/report/summary.tex	(revision 3241)
@@ -3,5 +3,6 @@
 occurring at Mean Sea Level. 
 There is no knowledge of the return period for this event. The
-modelling methodology, assumptions and data sources have also
+modelling methodology, assumptions and data sources which are
+required to determine the impact to Onslow have also
 been described. 
 As discussed in Section \ref{sec:issues}, there are issues