Index: /production/onslow_2006/export_results.py
===================================================================
--- /production/onslow_2006/export_results.py	(revision 3260)
+++ /production/onslow_2006/export_results.py	(revision 3261)
@@ -7,5 +7,5 @@
 from os import sep
 
-time_dir = "20060426_004129"
+time_dir = "20060629_085137"
 directory = project.outputdir
 name = directory + time_dir +sep + "source"
@@ -22,5 +22,5 @@
 #print 'Which variable do you want to export?'
 #which_var = int(raw_input('Stage = 0, Absolute Momentum = 1, Depth = 2, Speed = 3  '  ))
-which_var = 2
+which_var = 4
 #sys.stderr.write(sys.stdout.data)
 if which_var == 0:  # Stage
Index: /production/onslow_2006/project.py
===================================================================
--- /production/onslow_2006/project.py	(revision 3260)
+++ /production/onslow_2006/project.py	(revision 3261)
@@ -21,6 +21,11 @@
 
 # 30m data to be provided
-onshore_name = 'onslow_onshore_30m_dted' # get from Neil/Ingo (DEM or topo data) 
-
+onshore_name_dted = 'onslow_onshore_30m_dted2' # get from Neil/Ingo (DEM or topo data)
+
+# 20m data to be provided
+onshore_name_dli = 'onslow_onshore_20m_dli' # get from Neil/Ingo (DEM or topo data) 
+
+coast_name = 'onslow_coast'
+islands_name = 'onslow_islands_dted2'
 offshore_name = 'onslow_offshore_points'
 
@@ -92,8 +97,9 @@
 coarsedemname = datadir + coarsename
 
-onshore_dem_name = datadir + onshore_name
+onshore_dem_name = datadir + onshore_name_dli
 
 offshore_dem_name = datadir + offshore_name
-
+coast_dem_name = datadir + coast_name
+islands_dem_name = datadir + islands_name
 combined_dem_name = datadir + 'onslow_combined_elevation'
 
Index: /production/onslow_2006/run_onslow.py
===================================================================
--- /production/onslow_2006/run_onslow.py	(revision 3260)
+++ /production/onslow_2006/run_onslow.py	(revision 3261)
@@ -50,5 +50,6 @@
 
 onshore_dem_name = project.onshore_dem_name
-
+islands_dem_name = project.islands_dem_name
+coast_points = project.coast_dem_name
 offshore_points = project.offshore_dem_name
 
@@ -73,9 +74,9 @@
 sys.stderr = Screen_Catcher(screen_error_name)
 
-'''
+
 copied_files = False
 
 # files to be used
-files_used = [onshore_dem_name, offshore_points,]
+files_used = [onshore_dem_name, offshore_points, coast_points,]
 
 if sys.platform != 'win32':    
@@ -93,5 +94,5 @@
 convert_dem_from_ascii2netcdf(onshore_dem_name, use_cache=True, verbose=True)
 
-#creates pts file from DEM
+#creates pts file for onshore DEM
 dem2pts(onshore_dem_name,
         easting_min=project.eastingmin,
@@ -102,4 +103,9 @@
         verbose=True)
 
+convert_dem_from_ascii2netcdf(islands_dem_name, use_cache=True, verbose=True)
+
+#creates pts file for islands DEM
+dem2pts(islands_dem_name, use_cache=True, verbose=True)
+
 print'create G1'
 G1 = Geospatial_data(file_name = project.offshore_dem_name + '.xya')
@@ -108,10 +114,16 @@
 G2 = Geospatial_data(file_name = project.onshore_dem_name + '.pts')
 
-print'add G1+G2'
-G = G1 + G2
+print'create G3'
+G3 = Geospatial_data(file_name = project.coast_dem_name + '.xya')
+
+print'create G4'
+G4 = Geospatial_data(file_name = project.islands_dem_name + '.pts')
+
+print'add G1+G2+G3+G4'
+G = G1 + G2 + G3 + G4
 
 print'export G'
 G.export_points_file(project.combined_dem_name + '.pts')
-'''
+
 
 #-------------------------------------------------------------------------------                                 
@@ -131,10 +143,10 @@
 '''
 #new
-region_res = 25000
+region_res = 50000
 coast_res = 25000
 onslow_res = 500
 interior_regions = [[project.poly_onslow, onslow_res],
-                    [project.poly_coast, coast_res]]#,
-#                    [project.poly_region, region_res]]
+                    [project.poly_coast, coast_res],
+                    [project.poly_region, region_res]]
 
 print 'number of interior regions', len(interior_regions)
@@ -147,5 +159,5 @@
                              'bottom': [4], 'bottomright': [5],
                              'topright':[6]},
-           'maximum_triangle_area': 100000,
+           'maximum_triangle_area': 250000,
            'filename': meshname,           
            'interior_regions': interior_regions},
@@ -270,5 +282,5 @@
     domain.write_boundary_statistics(tags = 'top')     
 
-for t in domain.evolve(yieldstep = 60, finaltime = 17760
+for t in domain.evolve(yieldstep = 1, finaltime = 17760
                        ,skip_initial_step = True): 
     domain.write_time()