Index: /inundation/geospatial_data/geospatial_data.py
===================================================================
--- /inundation/geospatial_data/geospatial_data.py	(revision 3261)
+++ /inundation/geospatial_data/geospatial_data.py	(revision 3262)
@@ -697,4 +697,9 @@
                  relative to their respective origins.
     """
+    if isinstance(points,type('')):
+        #It's a string
+        #assume it is a point file
+        points = Geospatial_data(file_name = points)
+        
     if isinstance(points,Geospatial_data):
         points = points.get_data_points( \
@@ -733,6 +738,4 @@
     """
     if isinstance(points,Geospatial_data):
-        #points = points.get_data_points( \
-        #        absolute = True)
         msg = "Use a Geospatial_data object or a mesh origin. Not both."
         assert geo_reference == None, msg
@@ -741,5 +744,5 @@
         points = ensure_numeric(points, Float)
     if geo_reference is None:
-        geo = None #Geo_reference()
+        geo = None
     else:
         if isinstance(geo_reference, Geo_reference):
@@ -749,6 +752,5 @@
                                 geo_reference[1],
                                 geo_reference[2])
-        points = Geospatial_data(data_points=points, geo_reference=geo)
-        #points = geo.get_absolute(points)
+        points = Geospatial_data(data_points=points, geo_reference=geo)        
     return points
              
Index: /inundation/geospatial_data/test_geospatial_data.py
===================================================================
--- /inundation/geospatial_data/test_geospatial_data.py	(revision 3261)
+++ /inundation/geospatial_data/test_geospatial_data.py	(revision 3262)
@@ -1031,4 +1031,22 @@
         assert allclose(new_points, ab_points)
 
+       
+        fileName = tempfile.mktemp(".xya")
+        file = open(fileName,"w")
+        file.write("  elevation   speed \n\
+1.0 0.0 10.0 0.0\n\
+0.0 1.0 0.0 10.0\n\
+1.0 0.0 10.4 40.0\n\
+#geocrap\n\
+56\n\
+10\n\
+20\n")
+        file.close()
+        
+        ab_points = ensure_absolute(fileName)
+        actual =  [[11, 20.0],[10.0, 21.0],[11.0, 20.0]]
+        assert allclose(ab_points, actual)
+        os.remove(fileName)
+
         
     def test_ensure_geospatial(self):
Index: /inundation/pyvolution/util.py
===================================================================
--- /inundation/pyvolution/util.py	(revision 3261)
+++ /inundation/pyvolution/util.py	(revision 3262)
@@ -5,7 +5,8 @@
 """
 
-
 import utilities.polygon
 from warnings import warn
+
+from geospatial_data.geospatial_data import ensure_absolute
 
 
@@ -46,6 +47,6 @@
                  a tuple of values - one for each quantity  
 
-    interpolation_points - list of absolute UTM coordinates for points (N x 2) at
-    which values are sought
+    interpolation_points - list of absolute UTM coordinates for points (N x 2)
+    or geospatial object or points file name at which values are sought
     
     use_cache: True means that caching of intermediate result of
@@ -103,6 +104,4 @@
     #In fact, this is where origin should be converted to that of domain
     #Also, check that file covers domain fully.
-    #If we use the suggested Point_set class for interpolation points
-    #here it would be easier
 
     #Take into account:
@@ -173,5 +172,4 @@
     from Scientific.IO.NetCDF import NetCDFFile
     from Numeric import array, zeros, Float, alltrue, concatenate, reshape
-    from utilities.numerical_tools import ensure_numeric    
 
     #Open NetCDF file
@@ -197,5 +195,5 @@
 
     if interpolation_points is not None:
-        interpolation_points = ensure_numeric(interpolation_points, Float)
+        interpolation_points = ensure_absolute(interpolation_points)
         msg = 'Points must by N x 2. I got %d' %interpolation_points.shape[1]
         assert interpolation_points.shape[1] == 2, msg
@@ -569,5 +567,5 @@
     
     gauge_filename  - name of file containing gauge data
-                        - name, easting, northing
+                        - easting, northing, name , elevation?
                     - OR (this is not yet done)
                         - structure which can be converted to a Numeric array,
@@ -669,10 +667,10 @@
         report = False
         
-    assert type(plot_quantity) == list,\
-               'plot_quantity must be a list'
     
     if plot_quantity is None:
         plot_quantity = ['depth', 'speed', 'bearing']
     else:
+        assert type(plot_quantity) == list,\
+               'plot_quantity must be a list'
         check_list(plot_quantity)
 
@@ -741,5 +739,5 @@
                             time_min, time_max, title_on, label_id, verbose)
                          
-
+#Fixme - Use geospatial to read this file - it's an xya file
 def get_gauges_from_file(filename):
     from os import sep, getcwd, access, F_OK, mkdir