Index: /production/pt_hedland_2006/export_results.py
===================================================================
--- /production/pt_hedland_2006/export_results.py	(revision 3288)
+++ /production/pt_hedland_2006/export_results.py	(revision 3289)
@@ -8,7 +8,7 @@
 
 time_dir = '20060706_235036' #test with coarse grid
-#time_dir = '' #MSL DLI data
-#time_dir = '' #HAT DLI data
-#time_dir = '' #LAT DLI data
+#time_dir = '20060707_001859' #MSL DLI data
+#time_dir = '20060707_003301' #HAT DLI data
+#time_dir = '20060707_003424' #LAT DLI data
 directory = project.outputdir
 name = directory + time_dir +sep + 'source'
Index: /production/pt_hedland_2006/get_building_inundation.py
===================================================================
--- /production/pt_hedland_2006/get_building_inundation.py	(revision 3288)
+++ /production/pt_hedland_2006/get_building_inundation.py	(revision 3289)
@@ -29,7 +29,7 @@
 
 # Inputs
-#timestampdir = '' # MSL
-#timestampdir = '' # HAT
-timestampdir = '' # LAT
+#timestampdir = '20060707_001859' # MSL
+#timestampdir = '20060707_003301' # HAT
+timestampdir = '20060707_003424' # LAT
 file_loc = project.outputdir + timestampdir + sep 
 swwfile = file_loc + project.basename + '.sww'
Index: /production/pt_hedland_2006/make_report.py
===================================================================
--- /production/pt_hedland_2006/make_report.py	(revision 3288)
+++ /production/pt_hedland_2006/make_report.py	(revision 3289)
@@ -70,13 +70,24 @@
 report_title = 'Tsunami impact modelling for the North West shelf: %s' %scenario_name.title()
 
-production_dirs = {'': '3.6 AHD',
-                   '': '-3.9 AHD',
-                   '': '0 AHD'}
-
-max_maps = {'3.6 AHD': 'HAT_map',
-            '-3.9 AHD': 'LAT_map',
-            '0 AHD': 'MSL_map'}
+# DTED data
+#production_dirs = {'20060426_004129': '1.5 AHD',
+#                   '20060426_004237': '-1.5 AHD',
+#                   '20060515_001733': '0 AHD'}
+#damage_maps = {'1.5 AHD': 'HAT_damage',
+#               '-1.5 AHD': 'LAT_damage',
+#               '0 AHD': 'MSL_damage'}
+
+# WA DLI data
+production_dirs = {'20060707_001859': 'MSL',
+                   '20060707_003301': 'HAT',
+                   '20060707_003424': 'LAT'}
+
+max_maps = {'MSL': 'MSL_map',
+            'HAT': 'HAT_map',
+            'LAT': 'LAT_map'}
 
 gauge_map = 'pt_hedland_gauge_map.jpg'
+
+compare_output = 'compare_output_datasets'
 
 # Create sections and graphs for each designated production directory
@@ -137,4 +148,5 @@
 \usepackage{lscape} %landcape pages support
 \usepackage{setspace}
+\include{appendix}
 \setstretch{1.25}
 \\topmargin 0pt
@@ -148,16 +160,26 @@
 fid.write(s)
 
-s = '\\title{%s} \n' %report_title
-fid.write(s)
+#s = '\\title{%s} \n' %report_title
+#fid.write(s)
 
 s = """
 \date{\\today}
-\\author{Geoscience Australia}
+%\\author{Geoscience Australia}
+
 \\begin{document}
+\\title{
+\\begin{figure}[hbt]
+  \centerline{ \includegraphics[scale=0.4]{../report_figures/GAlogo.jpg}}
+\end{figure}
+"""
+fid.write(s)
+s = '%s} '%report_title
+fid.write(s)
+s = """
   \maketitle
-  
+
   \\tableofcontents
 
-   \section{Executive Summary}
+    \section{Executive Summary}
     \label{sec:execsum}
   \input{execsum}
@@ -191,10 +213,10 @@
 
 # Generate latex output for location points
-s = '\\begin{table} \label{table:locations} \n'
-fid.write(s)
-s = '\caption{Defined point locations for %s study area.}' %report_title
-fid.write(s)
-s = """
-\\begin{center}
+s = '\\begin{table} \\begin{center} \n'
+fid.write(s)
+s = '\caption{Defined point locations for %s study area.}' %scenario
+fid.write(s)
+s = """
+\label{table:locations}
 \\begin{tabular}{|l|l|l|l|}\hline
 \\bf{Point Name} & \\bf{Easting} & \\bf{Northing} & \\bf{Elevation}\\\\ \hline
@@ -217,5 +239,5 @@
 
 s  = """
-\caption{Point locations used for Onslow study.}  
+\caption{Point locations used for Port Hedland study.}  
 \label{fig:points}
 \end{figure}
@@ -251,9 +273,14 @@
 
 s = """
-   \section{Summary}
+   \section{Impact due to data accuracy}
+     \input{discussion}
+     \label{sec:issues}
+
+     \section{Summary}
      \input{summary}
      
-   \section{References}
     \input{references}
+
+    \appendix
     
    \section{Metadata}
@@ -268,5 +295,19 @@
 s = '\input{%s} \n \clearpage \n \n' %latex_output[0]
 fid.write(s)
-     
+
+s="""
+   \section{Damage modelling inputs}
+     \label{sec:damageinputs}
+     \input{damage_inputs}
+
+        \section{Time series}
+     \label{sec:timeseriescompare}
+
+"""
+fid.write(s)
+
+s = '\input{%s} \n \clearpage \n \n' %compare_output
+fid.write(s)
+
 s = '\end{document}'
 fid.write(s)
Index: /production/pt_hedland_2006/project.py
===================================================================
--- /production/pt_hedland_2006/project.py	(revision 3288)
+++ /production/pt_hedland_2006/project.py	(revision 3289)
@@ -99,9 +99,11 @@
 
 # region to export (used from export_results.py)
-e_min_area = 633000
-e_max_area = 690000
-n_min_area = 7740000
+e_min_area = 638000
+e_max_area = 685000
+n_min_area = 7745000
 n_max_area = 7761000
 
+export_region = [[e_min_area,n_min_area],[e_min_area,n_max_area],[e_max_area,n_max_area],[e_max_area,n_min_area]]
+                 
 refzone = 50 
 