Index: /production/onslow_2006/export_results.py
===================================================================
--- /production/onslow_2006/export_results.py	(revision 3299)
+++ /production/onslow_2006/export_results.py	(revision 3300)
@@ -8,12 +8,19 @@
 
 #time_dir = '20060704_063005' #HAT
-#time_dir = '20060704_063112' #LAT
-time_dir = '20060704_063234' #MSL
+#time_dir = '20060706_235246' #LAT
+#time_dir = '20060704_063234' #MSL
+#time_dir = '20060515_001733' #DTED data
 directory = project.outputdir
 name = directory + time_dir +sep + 'source'
+# to develop grid of MOST output
+#directory = project.boundarydir
+#name = directory + project.boundary_basename
 
 #normal screen output is stored in 'outname'
-screen_output_name = directory + time_dir + sep + "export_output.txt"
-screen_error_name = directory + time_dir + sep + "export_error.txt"
+#screen_output_name = directory + time_dir + sep + "export_output.txt"
+#screen_error_name = directory + time_dir + sep + "export_error.txt"
+# for MOST output
+#screen_output_name = directory  +  "export_output.txt"
+#screen_error_name = directory +  "export_error.txt"
 
 #used to catch screen output to file
@@ -24,5 +31,5 @@
 #print 'Which variable do you want to export?'
 #which_var = int(raw_input('Stage = 0, Absolute Momentum = 1, Depth = 2, Speed = 3  '  ))
-which_var = 2
+which_var = 4
 #sys.stderr.write(sys.stdout.data)
 if which_var == 0:  # Stage
Index: /production/onslow_2006/get_building_inundation.py
===================================================================
--- /production/onslow_2006/get_building_inundation.py	(revision 3299)
+++ /production/onslow_2006/get_building_inundation.py	(revision 3300)
@@ -30,6 +30,7 @@
 # Inputs
 #timestampdir = '20060704_063005' # HAT
-#timestampdir = '20060704_063112' # LAT
+#timestampdir = '20060706_235246' # LAT
 timestampdir = '20060704_063234' # MSL
+#timestampdir = '20060515_001733' # MSL DTED
 file_loc = project.outputdir + timestampdir + sep 
 swwfile = file_loc + project.basename + '.sww'
@@ -101,19 +102,20 @@
     zero_depth = 0.0
     zero_momentum = 0.0
-    if inside_polygon(g,project.polyAll) == True:   
-        for i, t in enumerate(T):
-            w = f(t, point_id = k)[0]
-            z = f(t, point_id = k)[1]
-            uh = f(t, point_id = k)[2]
-            vh = f(t, point_id = k)[3]
-            depth = w-z
-            m = sqrt(uh*uh + vh*vh)   
-            #vel = m / (depth + 1.e-30) 
-            if depth > max_depth: max_depth = depth
-            if m > max_momentum: max_momentum = m
-    else:
-        max_depth = 0.0
-        max_momentum = 0.0
-
+    #if inside_polygon(g,project.polyAll) == True:   
+    for i, t in enumerate(T):
+        w = f(t, point_id = k)[0]
+        z = f(t, point_id = k)[1]
+        uh = f(t, point_id = k)[2]
+        vh = f(t, point_id = k)[3]
+        depth = w-z
+        m = sqrt(uh*uh + vh*vh)   
+        #vel = m / (depth + 1.e-30) 
+        if depth > max_depth: max_depth = depth
+        if m > max_momentum: max_momentum = m
+    #else:
+    #    max_depth = 0.0
+    #    max_momentum = 0.0
+    print 'gauge ', g
+    print 'max depth', max_depth
     lines[k+1] = lines[k+1].strip() +\
                  ',%f' %max_depth +\
Index: /production/onslow_2006/make_report.py
===================================================================
--- /production/onslow_2006/make_report.py	(revision 3299)
+++ /production/onslow_2006/make_report.py	(revision 3300)
@@ -81,5 +81,5 @@
 production_dirs = {'20060704_063234': 'MSL',
                    '20060704_063005': 'HAT',
-                   '20060704_063112': 'LAT'}
+                   '20060706_235246': 'LAT'}
 
 max_maps = {'MSL': 'MSL_map',
Index: /production/onslow_2006/report/summary.tex
===================================================================
--- /production/onslow_2006/report/summary.tex	(revision 3299)
+++ /production/onslow_2006/report/summary.tex	(revision 3300)
@@ -1,5 +1,6 @@
 This report has described the impact to Onslow from a tsunami
 generated by a Mw 9 earthquake on the Sunda Arc subduction zone 
-occurring at Mean Sea Level. 
+occurring at Highest Astronomical Tide, Lowest Astronomical Tide
+and Mean Sea Level. 
 There is no knowledge of the return period for this event. The
 modelling methodology, assumptions and data sources which are